IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_login_role_insert]') AND type = 'TR')
DROP TRIGGER [dbo].[mps_login_role_insert]
GO

   
 
CREATE trigger [dbo].[mps_login_role_insert] on [dbo].[mps_login_role] for insert as
begin
    declare
       @maxcard  int,
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

declare @cmpid int 
select top 1 @cmpid = cu_cmpid from  inserted  , mps_login where cu_id=lgu_cuid 
set @cmpid = isnull(@cmpid,0)

 update mps_tableupdated set tu_updated=0 where tu_table='mps_employee'  and tu_cmpid=@cmpid 
 
    return

/*  Errors handling  */
error:
    -- raiserror @errno @errmsg
    rollback  transaction
end